#ifndef WUIMAN_H
#define WUIMAN_H

#include <stdlib.h>

#if !(defined(_INC_WINDOWS) || defined(__WINDOWS_H))
    #include <windows.h>
#endif
#ifndef WUIERROR_H
    #include "wuierror.h"
#endif

long    WUIMAN_Open(HINSTANCE Instance, const char *IniFileName);
long    WUIMAN_Set(const char *Path, const char *Attribute,
                                          const char *Value);
long    WUIMAN_Get(const char *Path, const char *Attribute,
                          char *Result, size_t ResultLength);
long    WUIMAN_Close();
#define WUIMAN_MAXNAME  (64)
#define WUIMAN_MAXPATH  (256)
#endif
